# $Revision: 1.119 $, $Date: 2002/02/06 09:25:19 $
Summary:	GNU Binary Utility Development Utilities
Summary(de):	GNU Binary Utility Development Utilities
Summary(es):	Utilitarios para desarrollo de binarios de la GNU
Summary(fr):	Utilitaires de dveloppement binaire de GNU
Summary(pl):	Narzdzia GNU dla programistw
Summary(pt_BR):	Utilitrios para desenvolvimento de binrios da GNU
Summary(tr):	GNU gelitirme aralar
Name:		binutils
Version:	2.11.90.0.19
Release:	4
Epoch:		2
License:	GPL
Group:		Development/Tools
Group(de):	Entwicklung/Werkzeuge
Group(es):	Desarrollo/Herramientas
Group(fr):	Development/Outils
Group(pl):	Programowanie/Narzdzia
Group(pt):	Desenvolvimento/Ferramentas
Source0:	ftp://ftp.kernel.org/pub/linux/devel/binutils/%{name}-%{version}.tar.bz2
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
Patch0:		%{name}-info.patch
Patch1:		%{name}-sparc_unaligned_reloc.patch
Patch2:		%{name}-preserve_e_flags.patch
Patch3:		%{name}-getopt.patch
URL:		http://sourceware.cygnus.com/binutils/
Prereq:		/sbin/ldconfig
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	perl-devel
%ifarch sparc sparc32
BuildRequires:	sparc32
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Binutils is a collection of binary utilities, including:
- ar - create, modify and extract from archives,
- nm - lists symbols from object files,
- objcopy - copy and translate object files,
- objdump - display information from object files,
- ranlib - generate an index for the contents of an archive,
- size - list the section sizes of an object or archive file,
- strings - list printable strings from files,
- strip - discard symbols,
- addr2line - convert addresses to file and line,
- nlmconv - convert object code into an NLM.

%description -l pl
Pakiet binutils zawiera zestaw narzdzi umoliwiajcych kompilacj
programw. Znajduj si tutaj midzy innymi assembler, konsolidator
(linker), a take inne narzdzia do manipulowania binarnymi plikami
programw i bibliotek.

%description -l es
binutils es una colectnea de utilitarios necesarios para compilar
programas. Incluye assembler y linker, as como varios otros programas
para trabajar con formatos que se puedan ejecutar.

%description -l pt_BR
binutils  uma coletnea de utilitrios necessrios para compilar
programas. Inclui assembler e linker, assim como vrios outros
programas para trabalhar com formatos executveis.

%package static
Summary:	GNU Binutils static libraries
Summary(pl):	Biblioteki statyczne do GNU Binutils
Group:		Development/Libraries
Group(de):	Entwicklung/Bibliotheken
Group(es):	Desarrollo/Bibliotecas
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Group(pt_BR):	Desenvolvimento/Bibliotecas
Group(pt):	Desenvolvimento/Bibliotecas
Group(ru):	/
Group(uk):	/̦
Requires:	%{name} = %{version}

%description static
Static libraries for GNU Binutils.

%description -l pl static
Biblioteki statyczne GNU Binutils.

%prep
%setup -q 
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
%ifarch sparc 
sparc32 \
%endif
./configure %{_target_platform} \
	--enable-shared \
	--disable-debug \
	--prefix=%{_prefix} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir} \
%ifarch sparc
	--enable-targets=sparc64-linux
%endif

%{__make} tooldir=%{_prefix} all info

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}

%{__make} install install-info \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	tooldir=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir} \
	includedir=$RPM_BUILD_ROOT%{_includedir} \
	libdir=$RPM_BUILD_ROOT%{_libdir}

# these are already in gcc-g++
rm -f $RPM_BUILD_ROOT%{_bindir}/c++filt $RPM_BUILD_ROOT%{_mandir}/man1/c++filt*

rm -f $RPM_BUILD_ROOT%{_infodir}/standards.info*

# remove these man pages unless we cross-build for win*/netware platforms.
# however, this should be done in Makefiles.
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/{dlltool,nlmconv,windres}.1

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}/

install include/libiberty.h $RPM_BUILD_ROOT%{_includedir}

gzip -9nf README

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/*.so

%{_libdir}/ldscripts
%{_includedir}/*.h

%{_infodir}/*info*
%{_mandir}/man1/*
%lang(cs) %{_mandir}/cs/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: binutils.spec,v $
Revision 1.119  2002/02/06 09:25:19  misiek
- fix -o in strip; release 4

Revision 1.118  2002/01/24 00:12:57  ankry
- added man-pages tar URL

Revision 1.117  2002/01/18 02:12:30  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.116  2001/12/29 17:09:32  malekith
- rel 3
- added preserve_e_flags patch from maintainer
  NEEDS TESTING (but it's bugfix)

Revision 1.115  2001/12/16 03:54:01  blues
- downgraded to 2.11.90.0.19
- release 2, epoch 2
- kept new man-pages and translations.
NOTE: new versions cat /dev/branch

Revision 1.114  2001/12/11 00:38:56  blues
- 2.11.92.0.12.3 (some bugfixes - they have crazy versions)

Revision 1.113  2001/10/23 08:03:30  misiek
- updated to 2.11.92.0.10

Revision 1.112  2001/10/17 08:54:12  misiek
- updated to 2.11.92.0.7

Revision 1.111  2001/10/16 23:35:52  ankry
- fixed man-pages unpacking

Revision 1.110  2001/10/16 09:44:51  ankry
- make .tar.bz2 standard non-english-man-pages format

Revision 1.109  2001/10/09 19:21:30  misiek
- updated to 2.11.92.0.5

Revision 1.108  2001/10/06 06:55:30  kloczek
- merged translations stolen from CNV,
- spec adapterized.

Revision 1.107  2001/10/04 10:09:01  misiek
- updated to 2.11.90.0.31

Revision 1.106  2001/10/04 08:49:53  ankry
- removed c++filt from description

Revision 1.105  2001/09/18 15:51:41  ankry
- added non-english (cs, de, fi, fr, hu, ja, pl) man pages
- removed c++filt.1 man page (moved to gcc.spec: gcc-c++)
- increased release to 1

Revision 1.104  2001/08/18 02:51:30  agaran
Version:        2.11.90.0.27
Release:        0
commented bfdbug patch (according to binutils changelog, and patch rejects its fixed)

Revision 1.103  2001/08/09 15:54:02  wiget
fix bug in ld (bdfbug.patch)
release 2

Revision 1.102  2001/07/31 12:46:38  malekith
- buildreq perl -> perl-devel (pod2man)

Revision 1.101  2001/07/30 16:43:53  wiget
2.11.90.0.25 - this version fixes gas bug triggered by etherboot; kloczek check strip from this binutils too

Revision 1.100  2001/07/26 05:42:05  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.98  2001/07/20 12:55:52  wiget
sparc patch included in main source

Revision 1.97  2001/07/20 12:49:36  wiget
2.11.90.0.24

Revision 1.96  2001/06/29 19:21:11  kloczek
- release 2,
- added sparc_unaligned_reloc patch by Jakub Jelinek <jakub@redhat.com> with
  fix incorrect aligment generated code on sparc32.

Revision 1.95  2001/06/22 12:47:45  misiek
- updated to 2.11.90.0.19

Revision 1.94  2001/06/13 22:27:13  misiek
- updated to 2.11.90.0.15

Revision 1.93  2001/05/22 14:14:45  wiget
don't provide outdated standards.info (new version come from autoconf
2.50)

Revision 1.92  2001/05/13 09:51:08  misiek
- removed obsolete linker patch
- updated to 2.11.90.0.8

Revision 1.91  2001/05/10 10:48:33  misiek
- detect loop in symbols list (patch)
- release 2

Revision 1.90  2001/05/01 21:27:30  misiek
- updated to 2.11.90.0.7

Revision 1.89  2001/04/27 16:09:11  misiek
2.11.90.0.6

Revision 1.88  2001/04/17 16:22:35  areq
- 2.11.90.0.5, STBR

Revision 1.87  2001/02/27 13:53:52  misiek
2.10.91.0.4; stb

Revision 1.86  2001/02/18 19:28:45  mis
- updated (by autoup) to 2.10.91.0.2

Revision 1.85  2001/02/10 09:19:26  kloczek
- updated to 2.10.1.0.7.

Revision 1.84  2001/01/29 13:18:27  kloczek
- small sparc dependent fix in %build.

Revision 1.83  2001/01/29 11:06:32  kloczek
- release 2,
- %ifarch sparc then add --enable-targets=sparc64-pld-linux to configure
  parameters.

Revision 1.82  2001/01/25 20:03:21  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.81  2001/01/05 16:14:41  kloczek
- updated to 2.10.1.0.4.

Revision 1.80  2000/12/14 16:42:45  baggins
- release 2
- use RPM_OPT_FLAGS

Revision 1.79  2000/11/14 22:06:46  misiek
switch back to H.J. Lu version

Revision 1.77  2000/11/09 12:25:32  kloczek
 -added URL.

Revision 1.76  2000/10/31 22:07:33  kloczek
- updated to 2.10.0.33.

Revision 1.75  2000/10/18 18:14:33  kloczek
- updated to 2.10.0.31.

Revision 1.74  2000/10/10 14:08:22  kloczek
- adapterized and added using new rpm automation suit.

Revision 1.73  2000/10/10 13:07:32  wiget
2.10.0.29

Revision 1.72  2000/08/31 00:59:09  kloczek
- added sparc32 to BuildRequires on sparc, sparc64.

Revision 1.71  2000/08/29 14:12:46  baggins
- updated to 2.10.0.24

Revision 1.70  2000/08/13 23:53:28  baggins
- back to 2.10.0.18, should work now as glibc seems to be fixed

Revision 1.69  2000/08/09 22:36:28  kloczek
- back to 2.10.0.12 (Epoch: 1) because 2.10.0.18 breaks compile glibc
  2.1.3 (compilation fains on i386 with memory fault).

Revision 1.68  2000/07/25 16:14:55  wiget
2.10.0.18

Revision 1.67  2000/07/16 23:33:25  kloczek
- updated to 2.10.0.12.

Revision 1.66  2000/06/28 07:28:27  wiget
2.10.0.9

Revision 1.65  2000/06/09 07:22:47  kloczek
- added using %%{__make} macro.

Revision 1.64  2000/06/05 12:10:23  wiget
2.9.5.0.46

Revision 1.63  2000/05/30 18:00:09  wiget
2.9.5.0.41

Revision 1.62  2000/05/24 16:50:44  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.61  2000/05/04 15:04:35  wiget
updated to binutils 2.9.5.0.37

Revision 1.60  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.59  2000/04/18 19:35:34  kloczek
- release 3.

Revision 1.58  2000/04/18 09:24:09  qboosh
- added flex and bison to BuildRequires

Revision 1.57  2000/04/14 15:58:55  kloczek
- release 2,
- use corectly $RPM_OPT_FLAGS on compiling binutils.

Revision 1.56  2000/04/13 21:30:35  kloczek
- updated to 2.9.5.0.35,
- spec adapterized.

Revision 1.55  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.54  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.53  2000/03/12 03:03:40  kloczek
- de, fr, tr Summary.

Revision 1.52  2000/03/09 21:07:41  kloczek
- new en %description.

Revision 1.51  2000/03/07 19:25:08  baggins
- updated to 2.9.5.0.29

Revision 1.50  1999/12/04 20:41:03  kloczek
- updated to 2.9.5.0.22.

Revision 1.49  1999/11/30 19:48:35  wiget
- 2.9.5.0.21

Revision 1.48  1999/11/10 10:19:54  wiget
- updated

Revision 1.47  1999/10/29 15:56:51  kloczek
- updated to 2.9.5.0.16,
- added /sbin/ldconfig to Prereq and fixed %postun,
- back to using ./configure instead %%configure (this need much more work).

Revision 1.46  1999/09/26 19:49:08  kloczek
- added using %%configure macro.

Revision 1.45  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %%postun
- release up

Revision 1.44  1999/09/17 15:06:36  pius
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.43  1999/09/14 22:10:51  wiget
- updated to 2.9.5.0.12

Revision 1.42  1999/09/09 20:28:03  wiget
- upgrade to 2.9.5.0.11

Revision 1.41  1999/08/23 19:27:34  wiget
- updated to 2.9.5.0.8 (test release)
- disabled info.patch (need update)

Revision 1.40  1999/07/12 23:05:53  kloczek
- added using CVS keywords in %changelog (for automating them).

* Tue May 25 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.9.1.0.25-1]
- spec based on RH version,
- rewrited by PLD team,
- pl translation Wojtek lusarczyk <wojtek@shadow.eu.org>.
